<!-- FlexExtractor config file to generate the CMW publications file for PVSS -->
<flexextractor version="1.0" description="Config file to generate CWM publications">
	<input type="XML_XPATH" combine="true">
		<source name="cmwConfigs" parameter="/cmw/cmwConfigs/cmwConfig">
			<data name="configName" select="./@configName"/>
			<data name="domain" select="./domain/text()"/>
			<data name="project" select="./project/text()"/>
			<data name="system" select="./system/text()"/>
			<data name="fec" select="./fec/text()"/>
			<data name="accelerator" select="./accelerator/text()"/>
		</source>
		<source name="mergedCmwPublications" parameter="/cmw/mergedCmwPublications/mergedCmwPublication/cmwPublication">
			<data name="publicationAlias" select="./alias/text()"/>
			<data name="deviceType" select="./deviceType/text()"/>
			<data name="dpe" select="./dpe/text()"/>
			<data name="cmwConfig" select="./cmwConfig/text()"/>
			<data name="property" select="./property/text()"/>
			<data name="direction" select="./direction/text()"/>
			<data name="value" select="./value/text()"/>
			<data name="time" select="./time/text()"/>
                        <data name="cmwDevice" select="./cmwDevice/text()"/>
		</source>
	</input>
	<output joingenerate="">
		<section condition="{cmwConfigs.configName} == {mergedCmwPublications.cmwConfig}" head="[%compute({mergedCmwPublications.cmwDevice}.upper())%]" tail="&#10;">
			<section generate="
&#10;   dpe=%compute({mergedCmwPublications.dpe}.lstrip('.'))%
&#10;      alias={mergedCmwPublications.publicationAlias}
&#10;      property={mergedCmwPublications.property}
&#10;      direction={mergedCmwPublications.direction}
&#10;      value={mergedCmwPublications.value}
&#10;      time={mergedCmwPublications.time}"/>
		</section>
	</output>
</flexextractor>